Mail archive
alpine-aports

[alpine-aports] [PATCH 8/9] testing/py-opencl: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:08 +0000

closes https://bugs.alpinelinux.org/issues/5482

---
 testing/py-opencl/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/py-opencl/APKBUILD
diff --git a/testing/py-opencl/APKBUILD b/testing/py-opencl/APKBUILD
new file mode 100644
index 0000000..f701137
--- /dev/null
+++ b/testing/py-opencl/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=py-opencl
+_pkgreal=${pkgname/-/}
+pkgver=2016.1
+pkgrel=0
+pkgdesc="Python wrapper for OpenCL"
+url="https://pypi.python.org/pypi/pyopencl"
+arch="all"
+license="MIT"
+depends="python"
+depends_dev="$pkgname"
+makedepends="python-dev py-setuptools py-mako py-numpy ctags libffi-dev mesa-dev opencl-headers opencl-icd-loader-dev"
+install=""
+subpackages="$pkgname-dev"
+#source="http://pypi.python.org/packages/source/p/$_pkgreal/$_pkgreal-$pkgver.tar.gz" # URL not yet live
+source="https://pypi.python.org/packages/cb/4e/fcb45db7d3005f5646f28a3de2a2f8e60a6e4b629f02bbb331320778f3a1/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python configure.py --cl-enable-gl --python-exe=python || return 1
+	make || return 1
+	python setup.py test
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 --skip-build || return 1
+}
+
+md5sums="0c8a33b6a6b427bcd9c5966da461d9c6  pyopencl-2016.1.tar.gz"
+sha256sums="54b6e8ad02dc437807739bd53e43851efe979bd51ec87996e44b94ab67238297  pyopencl-2016.1.tar.gz"
+sha512sums="3be8da315f9b4a4e03071152bb5968c5c7b102cbae6c70f358438cfd7951d12970a76dd8e922187ff73e47f7d0ce7a070e6f303dbe364c016796fa65d7e1de71  pyopencl-2016.1.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:08 GMT